# std::nested_exception::nested_exception

From cppreference.com
< cpp‎ | error‎ | nested exception

nested_exception(); | (1) | (since C++11)
nested_exception( const nested_exception& other ) = default; | (2) | (since C++11)

Constructs new `nested_exception` object.

1) Default constructor. Stores an exception object obtained by calling std::current_exception() within the new `nested_exception` object.
2) Copy constructor. Initializes the object with the exception stored in `other`.

### Parameters

other | - | nested exception to initialize the contents with

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/nested_exception/nested_exception&oldid=91431"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template